///////////////////////////////////////////////////////////////////////
//                                                   41 Post                                       //
// Created by DimasTheDriver in 11/Apr/2011                                      //
// Part of 'Unity: How to create a GUI Sprite Sheet' post series.        //
// Available at:      http://www.41post.com/?p=3534                             //
/////////////////////////////////////////////////////////////////////

using UnityEngine;
using System.Collections;

public class GenericGUI : MonoBehaviour 
{
	//the GUISkin
	public GUISkin guiSkin;
	
	//Draws the GUI
	void OnGUI()
	{
		//the background
		GUI.Label(new Rect(0,0,200,100),"",guiSkin.customStyles[0]);
		
		//the rectangular button
		//set the button position on the screen
		GUI.BeginGroup(new Rect(10,40,100,50));
		//set the button coordinates on the image
		if(GUI.Button(new Rect(0,0,128,128),"",guiSkin.customStyles[1]))
		{
			//Do something
		}
		GUI.EndGroup();
		
		//the round button
		//set the button position on the screen
		GUI.BeginGroup(new Rect(130,40,50,50));
		//set the button coordinates on the image
		if(GUI.Button(new Rect(0,-51,128,128),"",guiSkin.customStyles[1]))
		{
			//Do something
		}
		GUI.EndGroup();
	}
	
}
